# salt.modules.inspector

Module for full system inspection.

salt.modules.inspector.build(format='qcow2', path='/tmp/')

  Build an image from a current system description. The image is a system image can be output in bootable ISO or QCOW2 formats.

  Node uses the image building library Kiwi to perform the actual build.

  Parameters:

  - format: Specifies output format: "qcow2" or "iso. Default: qcow2.

  - path: Specifies output path where to store built image. Default: /tmp.

  CLI Example:

      salt myminion inspector.build
      salt myminion inspector.build format=iso path=/opt/builds/

salt.modules.inspector.delete(all=False, *databases)

  Remove description snapshots from the system.

  ::parameter: all. Default: False. Remove all snapshots, if set to True.

  CLI Example:

      salt myminion inspector.delete <ID> <ID1> <ID2>..
      salt myminion inspector.delete all=True

salt.modules.inspector.export(local=False, path='/tmp', format='qcow2')

  Export an image description for Kiwi.

  Parameters:

  - local: Specifies True or False if the export has to be in the local file. Default: False.

  - path: If local=True, then specifies the path where file with the Kiwi description is written.

      Default: /tmp.

  CLI Example:

      salt myminion inspector.export
      salt myminion inspector.export format=iso path=/opt/builds/

salt.modules.inspector.inspect(mode='all', priority=19, **kwargs)

  Start node inspection and save the data to the database for further query.

  Parameters:

  - mode: Clarify inspection mode: configuration, payload, all (default)

    payload

      - filter: Comma-separated directories to track payload.

  - priority: (advanced) Set priority of the inspection. Default is low priority.

  CLI Example:

      salt '*' inspector.inspect
      salt '*' inspector.inspect configuration
      salt '*' inspector.inspect payload filter=/opt,/ext/oracle

salt.modules.inspector.query(*args, **kwargs)

  Query the node for specific information.

  Parameters:

  - scope: Specify scope of the query.

    > - System: Return system data.

    > - Software: Return software information.

    > - Services: Return known services.

    > - Identity: Return user accounts information for this system.
    >     accounts

    >       Can be either 'local', 'remote' or 'all' (equal to "local,remote"). Remote accounts cannot be resolved on all systems, but only those, which supports 'passwd -S -a'.

    >     disabled

    >       True (or False, default) to return only disabled accounts.

    > - payload: Payload scope parameters:
    >     filter

    >       Include only results which path starts from the filter string.

    >     time

    >       Display time in Unix ticks or format according to the configured TZ (default) Values: ticks, tz (default)

    >     size

    >       Format size. Values: B, KB, MB, GB

    >     type

    >       Include payload type. Values (comma-separated): directory (or dir), link, file (default) Example (returns everything): type=directory,link,file

    >     owners

    >       Resolve UID/GID to an actual names or leave them numeric (default). Values: name (default), id

    >     brief

    >       Return just a list of payload elements, if True. Default: False.

    > - all: Return all information (default).

  CLI Example:

      salt '*' inspector.query scope=system
      salt '*' inspector.query scope=payload type=file,link filter=/etc size=Kb brief=False

salt.modules.inspector.snapshots()

  List current description snapshots.

  CLI Example:

      salt myminion inspector.snapshots